<?php
/**
 * Borrowed from the 2013 default template for displaying content
 *
 * Used for both single and index/archive/search.
 */
?>

<section id="post-<?php the_ID(); ?>" <?php post_class("entry-title"); ?> >
	<header class="entry-header">
		<?php if ( is_single() ) : ?>
			<h1 class="entry-title"><?php the_title(); ?></h1>
		<?php else : ?>
			<h1 class="entry-title">
			<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h1>
		<?php endif; // is_single() ?>
	</header>
	

	<?php if ( has_post_thumbnail() && !post_password_required() ) : ?>
		<div id="product-img" class="entry-thumbnail product-img">
			<?php the_post_thumbnail(); ?>
		</div>
	<?php endif; //has_post_thumbnail() ?>


	<?php if ( is_search() ) : ?>
		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->
	<?php else : ?>
		<div class="entry-content">
			<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>') ); ?>
			<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:') . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
		</div><!-- .entry-content -->
	<?php endif; //is_search() ?>

	<footer class="entry-meta">
		<?php if ( comments_open() && !is_single() ) : ?>
			<div class="comments-link">
				<?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a comment') . '</span>', __( 'One comment so far'), __( 'View all % comments') ); ?>
			</div><!-- .comments-link -->
		<?php endif; // comments_open() ?>
	</footer><!-- .entry-meta -->
</section>
<!-- #post section -->
